#
# spec file for package bctoolbox
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   1
Name:           bctoolbox
Version:        0.6.0
Release:        lp150.1.9
Summary:        Utility library for software from Belledonne Communications
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            https://linphone.org/
Source:         https://linphone.org/releases/sources/%{name}/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE bctoolbox-fix-pkgconfig.patch
Patch0:         bctoolbox-fix-pkgconfig.patch
# PATCH-FIX-OPENSUSE bctoolbox-fix-no-git.patch sor.alexei@meowr.ru -- Fix building of dependent applications out-of-git.
Patch1:         bctoolbox-fix-no-git.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bcunit)
BuildRequires:  pkgconfig(zlib)

%description
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

%package devel
Summary:        Development files for %{name}, a utility library for linphone/belle-sip/etc
Group:          Development/Languages/C and C++
Requires:       cmake
Requires:       lib%{name}%{sover} = %{version}
Requires:       lib%{name}-tester%{sover} = %{version}
Requires:       mbedtls-devel

%description devel
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package contains development files.

%package -n lib%{name}%{sover}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries

%description -n lib%{name}%{sover}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library.

%package -n lib%{name}-tester%{sover}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries

%description -n lib%{name}-tester%{sover}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library for testing component.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake \
  -DMBEDTLS_V2=YES             \
  -DENABLE_TESTS_COMPONENT=YES \
  -DENABLE_TESTS=YES           \
  -DENABLE_STATIC=NO
%make_jobs

%install
%cmake_install

%post -n lib%{name}%{sover} -p /sbin/ldconfig

%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%post -n lib%{name}-tester%{sover} -p /sbin/ldconfig

%postun -n lib%{name}-tester%{sover} -p /sbin/ldconfig

%files -n lib%{name}%{sover}
%doc COPYING
%{_libdir}/lib%{name}.so.%{sover}*

%files -n lib%{name}-tester%{sover}
%doc COPYING
%{_libdir}/lib%{name}-tester.so.%{sover}*

%files devel
%doc AUTHORS COPYING README.md
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/lib%{name}-tester.so

%changelog
* Thu Jul 20 2017 sor.alexei@meowr.ru
- Update to version 0.6.0:
  * Add API to escape/unescape strings (SIP, VCARD).
  * Bug fixes.
- Add bctoolbox-fix-pkgconfig.patch instead of requiring
  pkgconfig(bcunit) and pkgconfig(zlib).
- Add bctoolbox-fix-no-git.patch sor.alexei@meowr.ru: Fix building
  of dependent applications out-of-git.
* Wed Jun 21 2017 mpluskal@suse.com
- Update baselibs
- Run spec-cleaner
* Wed May 17 2017 sor.alexei@meowr.ru
- Update to version 0.5.1:
  * security bugfix: TLS session could be successfully established
    whereas the common name did not match the server name.
  * "const char * to void *" map feature.
- Remove bctoolbox-pkgconfig_1.patch and
  bctoolbox-pkgconfig_2.patch: fixed upstream.
* Sat Aug 27 2016 jengelh@inai.de
- Remove extraneous pkgconfig require
* Sat Aug 27 2016 mpluskal@suse.com
- Merge changes from home:X0F:HSF
- Fix generation of pkgconfig files
  * bctoolbox-pkgconfig_1.patch
  * bctoolbox-pkgconfig_2.patch
* Mon Aug 15 2016 jengelh@inai.de
- Update summary and rpm groups
* Fri Aug 12 2016 mpluskal@suse.com
- Initial package for version 0.2.0
